#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFishingCeleRankData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mItemID;
	//奖励数量
	std::vector<int> mItemCount;
};

class M_ActivityFishingCeleRank
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleRank> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleRankData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFishingCeleRankData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFishingCeleRank* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFishingCeleRankData> mMapData;
};
